Loading...
Searching...
No Matches
pqxx::const_reverse_row_iterator Class Reference

Reverse iterator for a row. Use as row::const_reverse_iterator. More...

Inheritance diagram for pqxx::const_reverse_row_iterator:
[legend]
Collaboration diagram for pqxx::const_reverse_row_iterator:
[legend]

## Public Types

using | super = const_row_iterator
using | iterator_type = const_row_iterator
using | value_type = iterator_type::value_type
using | reference = iterator_type::reference
using | difference_type = row_difference_type
using | iterator_category = std::random_access_iterator_tag
using | pointer = field const *

## Public Member Functions

| const_reverse_row_iterator (const_reverse_row_iterator const &) noexcept=default
| const_reverse_row_iterator (const_reverse_row_iterator &&) noexcept=default
| const_reverse_row_iterator (super const &rhs) noexcept
PQXX_PURE iterator_type | base () const noexcept
Manipulations
const_reverse_row_iterator & | operator= (const_reverse_row_iterator const &r) noexcept
const_reverse_row_iterator | operator++ () noexcept
const_reverse_row_iterator | operator++ (int) &noexcept
const_reverse_row_iterator & | operator-- () noexcept
const_reverse_row_iterator | operator-- (int) &
const_reverse_row_iterator & | operator+= (difference_type i) noexcept
const_reverse_row_iterator & | operator-= (difference_type i) noexcept
Arithmetic operators
const_reverse_row_iterator | operator+ (difference_type i) const noexcept
const_reverse_row_iterator | operator- (difference_type i) noexcept
difference_type | operator- (const_reverse_row_iterator const &rhs) const noexcept
field | operator[] (difference_type offset) const noexcept
Comparisons
bool | operator== (const_reverse_row_iterator const &rhs) const noexcept
bool | operator!= (const_reverse_row_iterator const &rhs) const noexcept
constexpr bool | operator< (const_reverse_row_iterator const &rhs) const noexcept
constexpr bool | operator<= (const_reverse_row_iterator const &rhs) const noexcept
constexpr bool | operator> (const_reverse_row_iterator const &rhs) const noexcept
constexpr bool | operator>= (const_reverse_row_iterator const &rhs) const noexcept
Dereferencing operators
const_row_iterator | operator- (difference_type) const noexcept
difference_type | operator- (const_row_iterator const &) const noexcept
reference | operator* () const noexcept

## Detailed Description

Reverse iterator for a row. Use as row::const_reverse_iterator.

The documentation for this class was generated from the following files:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/row.hxx
- /build/libpqxx-dRO3di/libpqxx-7.10.0/src/row.cxx